com.fasterxml.jackson.module.afterburner.deser

## Class DeserializerModifier

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.BeanDeserializerModifier
  - - com.fasterxml.jackson.module.afterburner.deser.DeserializerModifier

    public class DeserializerModifier
    extends com.fasterxml.jackson.databind.deser.BeanDeserializerModifier

### Field Summary

Fields
`protected MyClassLoader` `_classLoader` Class loader to use for generated classes; if null, will try to use class loader of the target class.
`protected boolean` `_useCustomDeserializer`

### Constructor Summary

Constructors
Constructor and Description
`DeserializerModifier(ClassLoader cl, boolean useCustomDeserializer)`

### Method Summary

Methods
`protected List<com.fasterxml.jackson.module.afterburner.deser.OptimizedSettableBeanProperty<?>>` `findOptimizableProperties(com.fasterxml.jackson.databind.DeserializationConfig config, PropertyMutatorCollector collector, Iterator<com.fasterxml.jackson.databind.deser.SettableBeanProperty> propIterator)`
`protected boolean` `isDefaultDeserializer(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.JsonDeserializer<?> ser)` Helper method used to check whether given deserializer is the default deserializer implementation: this is necessary to avoid overriding other kinds of deserializers.
`com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder` `updateBuilder(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder builder)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerModifier

`modifyArrayDeserializer, modifyCollectionDeserializer, modifyCollectionLikeDeserializer, modifyDeserializer, modifyEnumDeserializer, modifyKeyDeserializer, modifyMapDeserializer, modifyMapLikeDeserializer, updateProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _classLoader

    protected final MyClassLoader _classLoader

Class loader to use for generated classes; if null, will try to use class loader of the target class.

#### _useCustomDeserializer

    protected final boolean _useCustomDeserializer

### Constructor Detail

#### DeserializerModifier

    public DeserializerModifier(ClassLoader cl,
                        boolean useCustomDeserializer)

### Method Detail

#### updateBuilder

    public com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder updateBuilder(com.fasterxml.jackson.databind.DeserializationConfig config,
                                                                             com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                             com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder builder)

Overrides:
  `updateBuilder` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerModifier`

#### findOptimizableProperties

    protected List<com.fasterxml.jackson.module.afterburner.deser.OptimizedSettableBeanProperty<?>> findOptimizableProperties(com.fasterxml.jackson.databind.DeserializationConfig config,
                                                                                                                  PropertyMutatorCollector collector,
                                                                                                                  Iterator<com.fasterxml.jackson.databind.deser.SettableBeanProperty> propIterator)

#### isDefaultDeserializer

    protected boolean isDefaultDeserializer(com.fasterxml.jackson.databind.DeserializationConfig config,
                                com.fasterxml.jackson.databind.JsonDeserializer<?> ser)

Helper method used to check whether given deserializer is the default deserializer implementation: this is necessary to avoid overriding other kinds of deserializers.